<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@drawable/blue_gradient"
    tools:context=".AddWorkout">

    <LinearLayout
        android:id="@+id/linearLayout"
        android:layout_width="match_parent"
        android:layout_height="130dp"
        android:layout_marginTop="25dp"
        android:orientation="vertical"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/textView2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Тренировка"
            android:textAlignment="center"
            android:textSize="34sp" />

        <EditText
            android:id="@+id/name_training"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="20dp"
            android:ems="10"
            android:inputType="text"
            android:text="Тренировка 1"
            android:textAlignment="center"
            android:textSize="20sp" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/setting_training"
        android:layout_width="match_parent"
        android:layout_height="400dp"
        android:layout_marginTop="10dp"
        android:orientation="vertical"
        app:layout_constraintTop_toBottomOf="@+id/linearLayout"
        tools:layout_editor_absoluteX="16dp">

        <TextView
            android:id="@+id/textView6"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Количество подходов"
            android:textAlignment="center"
            android:textSize="24sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/del_set3"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_remove_24px" />

            <EditText
                android:id="@+id/numbers_of_sets_all"
                android:layout_width="3dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:inputType="number"
                android:text="1"
                android:textSize="26sp" />

            <ImageView
                android:id="@+id/add_set3"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_add_24px" />
        </LinearLayout>

        <TextView
            android:id="@+id/textView8_all2"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Отдых между подходами"
            android:textAlignment="center"
            android:textSize="24sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/del_res_set2"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_remove_24px" />

            <EditText
                android:id="@+id/rest_sets_all"
                android:layout_width="3dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:inputType="number"
                android:text="5"
                android:textSize="26sp" />

            <ImageView
                android:id="@+id/add_res_set2"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_add_24px" />
        </LinearLayout>

        <TextView
            android:id="@+id/textView5"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Время работы"
            android:textAlignment="center"
            android:textSize="24sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:layout_marginBottom="20dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/del_set"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_remove_24px" />

            <EditText
                android:id="@+id/time_work_all"
                android:layout_width="3dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:inputType="number"
                android:text="5"
                android:textSize="26sp" />

            <ImageView
                android:id="@+id/add_set"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_add_24px" />
        </LinearLayout>

        <TextView
            android:id="@+id/textView8_all"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:text="Отдых между упражнениями"
            android:textAlignment="center"
            android:textSize="24sp" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="60dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/del_res"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_remove_24px" />

            <EditText
                android:id="@+id/rest_workout_all"
                android:layout_width="3dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center"
                android:layout_weight="1"
                android:ems="10"
                android:gravity="center"
                android:inputType="number"
                android:text="5"
                android:textSize="26sp" />

            <ImageView
                android:id="@+id/add_res"
                android:layout_width="wrap_content"
                android:layout_height="37dp"
                android:layout_gravity="center"
                android:layout_weight="1"
                app:srcCompat="@drawable/ic_add_24px" />

        </LinearLayout>

    </LinearLayout>

    <FrameLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginTop="10dp"
        app:layout_constraintTop_toBottomOf="@+id/setting_training"
        tools:layout_editor_absoluteX="0dp">

        <Button
            android:id="@+id/add_workoutadd"
            android:layout_width="208dp"
            android:layout_height="50dp"
            android:layout_gravity="center"
            android:background="@drawable/green_rectangle"
            android:gravity="center"
            android:text="Выбор упражнений"
            android:textAlignment="center"
            android:textColor="@color/white"
            android:textSize="16sp" />
    </FrameLayout>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="60dp"
        android:layout_marginBottom="35dp"
        android:orientation="horizontal"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent">

        <Button
            android:id="@+id/btn_on_main_all"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_weight="1"
            android:background="@drawable/gradient_purpure"
            android:text="на главную"
            android:textAlignment="center"
            android:textColor="@color/white" />

        <Button
            android:id="@+id/btn_save_all"
            android:layout_width="150dp"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginLeft="20dp"
            android:layout_marginRight="20dp"
            android:layout_weight="1"
            android:background="@drawable/gradient_purpure"
            android:text="Сохранить"
            android:textAlignment="center"
            android:textColor="@color/white" />

    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>